# Class TCefRequestContextHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFRequestContextHandler

## Declaration

`type TCefRequestContextHandlerOwn = class(TCefBaseRefCountedOwn, ICefRequestContextHandler)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefRequestContextHandlerOwn

## Overview

### Methods

| `procedure OnRequestContextInitialized(const request_context: ICefRequestContext); virtual;`
| `procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;`
| `procedure RemoveReferences; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `procedure OnRequestContextInitialized(const request_context: ICefRequestContext); virtual;`
This item has no description. Showing description inherited from ICefRequestContextHandler.OnRequestContextInitialized. Called on the browser process UI thread immediately after the request context has been initialized.

| `procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;`
This item has no description. Showing description inherited from ICefRequestContextHandler.GetResourceRequestHandler. Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. This function will not be called if the client associated with |browser| returns a non-NULL value from ICefRequestHandler.GetResourceRequestHandler for the same request (identified by ICefRequest.GetIdentifier).

| `procedure RemoveReferences; virtual;`
This item has no description. Showing description inherited from ICefRequestContextHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.